Package org.apache.lucene.codecs

## Class KnnVectorsWriter.MergedVectorValues

- java.lang.Object
- - org.apache.lucene.codecs.KnnVectorsWriter.MergedVectorValues

- Enclosing class:
    KnnVectorsWriter

      public static final class KnnVectorsWriter.MergedVectorValues
      extends Object

  View over multiple vector values supporting iterator-style access via DocIdMerger.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ByteVectorValues` | `mergeByteVectorValues​(FieldInfo fieldInfo, MergeState mergeState)` | Returns a merged view over all the segment's `ByteVectorValues`.
    `static FloatVectorValues` | `mergeFloatVectorValues​(FieldInfo fieldInfo, MergeState mergeState)` | Returns a merged view over all the segment's `FloatVectorValues`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### mergeFloatVectorValues

          public static FloatVectorValues mergeFloatVectorValues​(FieldInfo fieldInfo,
                                                                 MergeState mergeState)
                                                          throws IOException

      Returns a merged view over all the segment's `FloatVectorValues`.
      Throws:
        `IOException`

    - #### mergeByteVectorValues

          public static ByteVectorValues mergeByteVectorValues​(FieldInfo fieldInfo,
                                                               MergeState mergeState)
                                                        throws IOException

      Returns a merged view over all the segment's `ByteVectorValues`.
      Throws:
        `IOException`